Bug 1272643 - Newly created user - 1st xfce4-session - initializing hanging at very start
Newly created user - 1st xfce4-session - initializing hanging at very start
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-17 03:03 EDT by poma
Modified: 2015-10-19 17:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnome-keyring-3.18.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-19 17:07:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Update to 3.18.1 (20.76 KB, patch)
2015-10-17 05:44 EDT, poma
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 756059 None None None Never

  None (edit)
Description poma 2015-10-17 03:03:30 EDT
Description of problem:
Newly created user - 1st xfce4-session - initializing hanging at very start.

Version-Release number of selected component (if applicable):
- gnome-keyring-3.18.0-3.fc23.x86_64
  gnome-keyring-pam-3.18.0-3.fc23.x86_64
- gnome-keyring-3.18.0-4.fc24.x86_64
  gnome-keyring-pam-3.18.0-4.fc24.x86_64

How reproducible:
101%

Steps to Reproduce:
1. Create user
2. The user logs on

Actual results:
Session initialization stopped immediately.

Expected results:
Session initialization goes as it should.

Additional info:
'gnome-keyring' by itself does not induce this,
BUT combination of 'gnome-keyring' 3.18.0-3 and 3.18.0-4 with 'gnome-keyring-pam' do break initial xfce4-session.

With respect to "fix-autologin.patch" in 'gnome-keyring' 3.18.0-3 and 3.18.0-4,
it seems as if it is what actually creates a problem BUT in combination with "pam_gnome_keyring.so" i.e. 'gnome-keyring-pam'.

Except that, gnome-keyring-pam and gnome-keyring-pam 3.18.0-2, no problemos.
Comment 1 poma 2015-10-17 03:23:35 EDT
Correction:
Except that, -gnome-keyring- and gnome-keyring-pam 3.18.0-2, no problemos.
Comment 2 poma 2015-10-17 03:24:25 EDT
Tested with:
gnome-keyring-3.18.0-2.fc24.x86_64
gnome-keyring-3.18.0-3.fc23.x86_64
gnome-keyring-3.18.0-4.fc24.x86_64
gnome-keyring-pam-3.18.0-2.fc24.x86_64
gnome-keyring-pam-3.18.0-3.fc23.x86_64
gnome-keyring-pam-3.18.0-4.fc24.x86_64

# rpm -ql gnome-keyring-pam
/usr/lib64/security/pam_gnome_keyring.so

gnome-keyring-3.18.0-2.fc24.src:
0001-dbus-Initialize-secret-service-before-claiming-name.patch
gnome-keyring-3.18.0.tar.xz

gnome-keyring-3.18.0-3.fc23.src:
0001-dbus-Initialize-secret-service-before-claiming-name.patch
fix-autologin.patch
gnome-keyring-3.18.0.tar.xz

gnome-keyring-3.18.0-4.fc24.src:
0001-dbus-Initialize-secret-service-before-claiming-name.patch
fix-autologin.patch
gnome-keyring-3.18.0.tar.xz
Comment 3 poma 2015-10-17 03:25:30 EDT
# ps axu | grep [t]esta
testa     1146  0.0  0.2 157996  5104 ?        S    01:08   0:00 /usr/bin/gnome-keyring-daemon --daemonize --login
testa     1154  0.0  0.0 157996   500 ?        Ss   01:08   0:00 /usr/bin/gnome-keyring-daemon --daemonize --login
testa     1155  0.0  0.0      0     0 ?        Z    01:08   0:00 [gnome-keyring-d] <defunct>

~~~~~~~~~~~~~~~~~~~~~

# loginctl list-users 
       UID USER            
         0 root            

1 users listed.

# loginctl list-sessions 
   SESSION        UID USER             SEAT            
         2          0 root                             

1 sessions listed.
Comment 4 poma 2015-10-17 03:26:22 EDT
# journalctl -b -t gnome-keyring-daemon
-- Logs begin at Fri 2015-10-16 22:34:57 EDT, end at Sat 2015-10-17 01:08:38 EDT. --
Oct 17 01:08:19 lnx gnome-keyring-daemon[1155]: couldn't create socket directory: /home/testa/.cache/keyring-BIJ26X: No such file or directory
Oct 17 01:08:19 lnx gnome-keyring-daemon[1155]: couldn't bind to control socket: /home/testa/.cache/keyring-BIJ26X/control: No such file or directory
Comment 5 poma 2015-10-17 03:27:09 EDT
# journalctl -b -u lightdm
...
Oct 17 01:08:16 lnx lightdm[915]: [+7.99s] DEBUG: Session pid=1102: Greeter start authentication for testa
Oct 17 01:08:16 lnx lightdm[915]: [+8.00s] DEBUG: Session pid=1140: Started with service 'lightdm', username 'testa'
Oct 17 01:08:16 lnx lightdm[915]: [+8.19s] DEBUG: Session pid=1140: Got 1 message(s) from PAM
Oct 17 01:08:16 lnx lightdm[915]: [+8.19s] DEBUG: Session pid=1102: Prompt greeter with 1 message(s)
Oct 17 01:08:19 lnx lightdm[915]: [+10.69s] DEBUG: Session pid=1102: Continue authentication
Oct 17 01:08:19 lnx lightdm[915]: [+10.72s] DEBUG: Session pid=1140: Authentication complete with return value 0: Success
Oct 17 01:08:19 lnx lightdm[915]: [+10.72s] DEBUG: Session pid=1102: Authenticate result for user testa: Success
Oct 17 01:08:19 lnx lightdm[915]: [+10.72s] DEBUG: Session pid=1102: User testa authorized
Oct 17 01:08:19 lnx lightdm[915]: [+10.74s] DEBUG: Session pid=1102: Greeter sets language en_US.utf8
Oct 17 01:08:19 lnx lightdm[915]: [+10.92s] DEBUG: Session pid=1102: Greeter requests session xfce
Oct 17 01:08:19 lnx lightdm[915]: [+10.94s] DEBUG: Seat seat0: Stopping greeter; display server will be re-used for user session
Oct 17 01:08:19 lnx lightdm[915]: [+10.94s] DEBUG: Session pid=1102: Sending SIGTERM
Oct 17 01:08:19 lnx lightdm[915]: [+11.05s] DEBUG: Session pid=1102: Greeter closed communication channel
Oct 17 01:08:19 lnx lightdm[915]: [+11.05s] DEBUG: Session pid=1102: Exited with return value 0
Oct 17 01:08:19 lnx lightdm[915]: [+11.05s] DEBUG: Seat seat0: Session stopped
Oct 17 01:08:19 lnx lightdm[915]: [+11.05s] DEBUG: Seat seat0: Greeter stopped, running session
Oct 17 01:08:19 lnx lightdm[915]: [+11.05s] DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
Oct 17 01:08:19 lnx lightdm[915]: [+11.06s] DEBUG: Session pid=1140: Running command /etc/X11/xinit/Xsession startxfce4
Oct 17 01:08:19 lnx lightdm[915]: [+11.06s] DEBUG: Creating shared data directory /var/lib/lightdm-data/testa
Oct 17 01:08:19 lnx lightdm[915]: [+11.06s] DEBUG: Session pid=1140: Logging to .xsession-errors
Oct 17 01:08:19 lnx gnome-keyring-daemon[1155]: couldn't create socket directory: /home/testa/.cache/keyring-BIJ26X: No such file or directory
Comment 6 poma 2015-10-17 03:27:35 EDT
/var/log/lightdm/lightdm.log:
...
[+7.99s] DEBUG: Session pid=1102: Greeter start authentication for testa
[+8.00s] DEBUG: Session pid=1140: Started with service 'lightdm', username 'testa'
[+8.19s] DEBUG: Session pid=1140: Got 1 message(s) from PAM
[+8.19s] DEBUG: Session pid=1102: Prompt greeter with 1 message(s)
[+10.69s] DEBUG: Session pid=1102: Continue authentication
[+10.72s] DEBUG: Session pid=1140: Authentication complete with return value 0: Success
[+10.72s] DEBUG: Session pid=1102: Authenticate result for user testa: Success
[+10.72s] DEBUG: Session pid=1102: User testa authorized
[+10.74s] DEBUG: Session pid=1102: Greeter sets language en_US.utf8
[+10.92s] DEBUG: Session pid=1102: Greeter requests session xfce
[+10.94s] DEBUG: Seat seat0: Stopping greeter; display server will be re-used for user session
[+10.94s] DEBUG: Session pid=1102: Sending SIGTERM
[+11.05s] DEBUG: Session pid=1102: Greeter closed communication channel
[+11.05s] DEBUG: Session pid=1102: Exited with return value 0
[+11.05s] DEBUG: Seat seat0: Session stopped
[+11.05s] DEBUG: Seat seat0: Greeter stopped, running session
[+11.05s] DEBUG: Registering session with bus path /org/freedesktop/DisplayManager/Session0
[+11.06s] DEBUG: Session pid=1140: Running command /etc/X11/xinit/Xsession startxfce4
[+11.06s] DEBUG: Creating shared data directory /var/lib/lightdm-data/testa
[+11.06s] DEBUG: Session pid=1140: Logging to .xsession-errors
Comment 7 poma 2015-10-17 03:28:01 EDT
# ll -a /home/testa/
total 28
drwx------ 3 testa testa 4096 Oct 17 00:40 .
drwxr-xr-x 6 root  root  4096 Oct 17 00:40 ..
-rw-r--r-- 1 testa testa   18 Aug 18 09:36 .bash_logout
-rw-r--r-- 1 testa testa  193 Aug 18 09:36 .bash_profile
-rw-r--r-- 1 testa testa  231 Aug 18 09:36 .bashrc
-rw-r--r-- 1 testa testa   43 Oct 17 00:40 .dmrc
drwxr-xr-x 4 testa testa 4096 Oct 16 21:27 .mozilla
Comment 8 poma 2015-10-17 03:30:44 EDT
# rpm -qa | grep ^gnome-keyring
gnome-keyring-3.18.0-4.fc24.x86_64
gnome-keyring-pam-3.18.0-4.fc24.x86_64

# rpm -ql gnome-keyring-pam
/usr/lib64/security/pam_gnome_keyring.so

# mv /usr/lib64/security/pam_gnome_keyring.so /usr/lib64/security/pam_gnome_keyring.so.bkp

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

# systemctl isolate multi-user.target 
# systemctl isolate graphical.target 

~~~~~~
LOGIN
~~~~~~~~~~~~~~~~~~~~~

# loginctl list-users 
       UID USER            
         0 root            
      1002 testa           

2 users listed.


# loginctl list-sessions 
   SESSION        UID USER             SEAT            
         5          0 root                             
         6       1002 testa            seat0           

2 sessions listed.


# loginctl show-session 6
Id=6
User=1002
Name=testa
Timestamp=Sat 2015-10-17 01:23:39 EDT
TimestampMonotonic=950912462
VTNr=1
Seat=seat0
Display=:0
Remote=no
Service=lightdm
Desktop=xfce
Scope=session-6.scope
Leader=1608
Audit=6
Type=x11
Class=user
Active=yes
State=active
IdleHint=no
IdleSinceHint=0
IdleSinceHintMonotonic=0
Comment 9 Stef Walter 2015-10-17 04:02:27 EDT
FYI, upstream release gnome-keyring 3.18.1 should fix this issue. It's likely that the GNOME Fedora maintainers will package this shortly.
Comment 10 poma 2015-10-17 05:44 EDT
Created attachment 1083899 [details]
Update to 3.18.1

$ rpm -q gnome-keyring gnome-keyring-pam
gnome-keyring-3.18.1-1.fc24.x86_64
gnome-keyring-pam-3.18.1-1.fc24.x86_64
OK
Comment 11 Fedora Update System 2015-10-17 15:29:27 EDT
gnome-keyring-3.18.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b63ce6ef7b
Comment 12 Fedora Update System 2015-10-18 15:53:37 EDT
gnome-keyring-3.18.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gnome-keyring'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b63ce6ef7b
Comment 13 Fedora Update System 2015-10-19 17:07:40 EDT
gnome-keyring-3.18.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.